From 8ba1df447dab32cfad3ed49c7baceba89a8553c8 Mon Sep 17 00:00:00 2001
From: John Clements <john.clements@amd.com>
Date: Mon, 19 Apr 2021 10:42:51 +0800
Subject: [PATCH 1/1] drm/amdgpu: resolve erroneous gfx_v9_4_2 prints

resolve bug on aldebaran where gfx error counts will print on driver load when there are no errors present

Signed-off-by: John Clements <john.clements@amd.com>
Change-Id: I74b514245144c5a446f4f6dcad4e07e7b19c8be0
---
 drivers/gpu/drm/amd/amdgpu/gfx_v9_4_2.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/gpu/drm/amd/amdgpu/gfx_v9_4_2.c b/drivers/gpu/drm/amd/amdgpu/gfx_v9_4_2.c
index 0070c091b2b7..63ec71abed53 100644
--- a/drivers/gpu/drm/amd/amdgpu/gfx_v9_4_2.c
+++ b/drivers/gpu/drm/amd/amdgpu/gfx_v9_4_2.c
@@ -997,7 +997,7 @@ static int gfx_v9_4_2_query_utc_edc_count(struct amdgpu_device *adev,
 			       blk->clear);
 
 			/* print the edc count */
-			if (sec_cnt || ded_count)
+			if (sec_cnt || ded_cnt)
 				gfx_v9_4_2_log_utc_edc_count(adev, blk, j, sec_cnt,
 							     ded_cnt);
 		}
-- 
2.17.1

